Prepaid Solutions

Overview

With our prepaid solution, you can extend prepaid products to customers without constraints such as credit rating, income, or bank account ownership. The solution includes issuer, branch, corporate, or cardholder web-based portals, enabling effortless sales, maintenance, load, and card or customer lifecycle management. These features empower non-banked customers to manage their finances like seasoned professionals, making financial management more accessible and straightforward.

Activate prepaid cards

Users can activate prepaid cards when they are first issued or after they have been deactivated for any reason.

Check card balances

Users can check the balance on a prepaid card in real-time or on a scheduled basis.

View transaction history

Users can view a detailed record of all transactions made with a prepaid card, including the date, time, amount, and location of each transaction.

 
Version

Notification Service

Status:

Production

Version:

V2

Product:

Prepaid Solutions

Notification Service

Overview

The Send Notification API is used to deliver important messages to a cardholder through Email, SMS, or both channels at the same time.
It allows a system to notify the cardholder about events such as transactions, OTP codes, card updates, statements, or alerts.

The API takes the recipient’s contact details and the message content and sends the notification through the selected channel. It helps ensure cardholders receive timely and reliable communication about their card activity.

https://api-sandbox.network.global

Notification Service

Status:

Production

Version:

V2

Product:

Prepaid Solutions
/Transaction/V2/NotificationService
curl --location --request POST '#{PARAM_URL}' --header 'Authorization: Bearer {{ access_token }}' {custom_headers} --data-raw '#{JSON_PAYLOAD}'
curl --location --request GET 'https://api-sandbox.network.global/v1/tokenkc/generate' \--data-raw '#{JSON_PAYLOAD}'
curl --location --request POST 'https://api-sandbox.network.global/v1/tokenkc/generate' \--data-raw '#{JSON_PAYLOAD}'

Node Child Node Type Length Description
Authorization* requiredBearer xxxx* requiredstringAuthorization Header (Bearer Token)
Content-Type* requiredapplication/json* requiredstringContent Type

Node TypeTypeLengthDescription
NISrvRequestrequest_notification_service_changeheadermsg_id* requiredstring12Message ID, this field should be unique id for each Api call. This will be generated from client side. If the same message ID is used the system will decline the API call with Error Description “Duplicate Message ID”
msg_type* requiredstring12Message Type – This can have either “TRANSACTION” or “ENQUIRY” As for this API the value expected is “TRANSACTION”
msg_function* requiredstring50Message functions: Should be “REQ_SEND_NOTIFICATION”
src_application* requiredstring10Source Application: This is a free Text and the client can populate the source system from where the API is Initiated Example: IVR, IB, MB No Validations of these are kept at Network Systems
target_application* requiredstring10The target_application can hold any value from FI side, this can be used by FI to check the target system of the API call
timestamp* requiredstring30Timestamp of the request - Format YYYY-MM-DDtHH:MM:SS.SSS+04:00
bank_id* requiredstring4Bank Id is Unique Id 4 digit code for each client and the same will be provided once the client setup is completed in our core system. For sandbox testing – Please use “NIC”
bodyidentifier_id* requiredstring32Identifier
identifier_type* requiredstring20CONTRACT_NUMBER or EXID
emailtostring32reciever email
CCstring32CC
subjectstring20Email Subject line
bodystring255Body of the email
headerstring255Any header to be added
footerstring255Any footer to be added
smstext* requiredstring255SMS Details
mobile_numberstring32Mobile Number
language_indicatorstring3any of the value of ENG/ARA

{
    "NISrvRequest": {
        "request_notification_service_change": {
            "header": {
                "msg_id": "236001",
                "msg_type": "TRANSACTION",
                "msg_function": "REQ_SEND_NOTIFICATION",
                "src_application": "IVR",
                "target_application": "WAY4",
                "timestamp": "2020-07-20T10:49:02.366+04:00",
                "bank_id": "NIC"
            },
            "body": {
                "identifier_id": "100000027",
                "identifier_type": "236001",
                "email": [
                    {
                        "to": "abc@email.com",
                        "CC": "abc@email.com",
                        "subject": "SMS Notification Service",
                        "body": "B",
                        "header": "header details",
                        "footer": "footer details"
                    }
                ],
                "sms": [
                    {
                        "text": "details ",
                        "mobile_number": "97155XXXXXXX",
                        "language_indicator": "ENG/ARA/E/A"
                    }
                ]
            }
        }
    }
}

Node Child Node Type Length Description
Content-Typeapplication/jsonstringContent Type

Node TypeTypeLengthDescription
NISrvResponseresponse_notification_service_changeheadermsg_id* requiredstring12Unique Source Message ID eg ada123456fdsf
msg_type* requiredstring12msg_type can hold 2 values TRANSACTION or ENQUIRY, the value must be sent as it is mentioned in the request
msg_function* requiredstring50Default REP_SEND_NOTIFICATION
src_application* requiredstring10Source Application: This is a free Text and the client can populate the source system from where the API is Initiated Example: IVR, IB, MB No Validations of these are kept at Network Systems
target_application* requiredstring10The target_application can hold any value from FI side, this can be used by FI to check the target system of the API call
timestamp* requiredstring30Timestamp of the request - Format YYYY-MM-DDtHH:MM:SS.SSS+04:00
bank_id* requiredstring4Bank Id is Unique Id 4 digit code for each client and the same will be provided once the client setup is completed in our core system. For sandbox testing – Please use “NIC”
exception_detailsapplication_name* requiredstring20Application Name
date_time* requiredstring30Timestamp of the response Format “YYYY-MM-DD HH:MM:SS”
status* requiredstring1Status of the request (S/F)
error_code* requiredstring4EAI Internal Error Code (Check error codes section for the complete list of error codes and error code descriptions)
error_description* requiredstring100Error Description (Check error codes section for the complete list of error codes and error code descriptions)
transaction_ref_idstring20The tracking_id sent in the request will be sent back in response in this field.

{
    "NISrvResponse": {
        "response_notification_service_change": {
            "header": {
                "msg_id": "236001",
                "msg_type": "TRANSACTION",
                "msg_function": "REP_SEND_NOTIFICATION",
                "src_application": "IVR",
                "target_application": "WAY4",
                "timestamp": "2020-07-20T10:49:02.366+04:00",
                "bank_id": "NIC"
            },
            "exception_details": {
                "application_name": "TCC-ADP",
                "date_time": "2023-02-01T16:39:47.314+04:00",
                "status": "S",
                "error_code": "000",
                "error_description": "Success",
                "transaction_ref_id": "236001"
            }
        }
    }
}

Code Description
200Sample Description
400Bad Request
401Unauthorized
403Forbidden
500Internal Server Error
502Bad gateway
503Scheduled Maintenance
504Gateway Timeout
596Service Not Found

Code Description
* *